commit 84eee578be51067c0f47cd18a68737b9eb9060af
parent 28d9a95b67f14c268b247b838b58ad3d8801bb60
Author: Jan Pobříslo <ccx@te2000.cz>
Date: Thu, 22 Feb 2024 17:01:06 +0100
Remove packages provided by musl-cross-make
Diffstat:
6 files changed, 0 insertions(+), 372 deletions(-)
diff --git a/packages/gmp b/packages/gmp
@@ -1,116 +0,0 @@
-#!/usr/bin/env pthbs-build
-#+musl-cross-make.40495e3d3831b6977c5413c4a9d8f34b3b1da25eee9d5653ab52fde6f67a7e5e
-#+gnu-make.edc93619bc2db2c6ebc87ef8f5eb36f61dfdeacd9e5d19bae023efb02ae2a224
-#+busybox.4ff3e4337fcefbc2d4d5e1ac0948a52887a0a73c50b8754e43e2ae4d6a497905
-#+busybox-diffutils.66b4019dab59ca8f0e5957d10081b2ca468ab65b7c2657698667c746a32ab865
-#+m4.f3e1eec992c34701d8bf03a5de3a55c5dc2079e80e1c12e3e54506150826f62c
-#@untar:-j:sha256:5275bb04f4863a13516b2f39392ac5e272f5e1bb8057b18aec1c9b79d73d8fb2:.
-
-autotools() {
- cd "$1"
- shift
- export LD_LIBRARY_PATH="$pthbs_build_environment/library:$pthbs_build_environment/library.so"
- export CPATH="$pthbs_build_environment/include"
- export CFLAGS="-L$pthbs_build_environment/library -D_GNU_SOURCE $CFLAGS"
- prefix=/home/ccx/versions/$pthbs_package
- ./configure -C \
- --prefix="$prefix" \
- --build="$(${CC:-gcc} -dumpmachine)" \
- --bindir="$prefix/command" \
- --sbindir="$prefix/command" \
- --infodir="$prefix/info" \
- --localedir="$prefix/locale" \
- --mandir="$prefix/man" \
- --libdir="$prefix/library" \
- --docdir="$prefix/doc/gmp" \
- --localstatedir='/home/ccx/.local/var' \
- "$@"
- # --libexecdir=DIR program executables [EPREFIX/libexec]
- # --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
- # --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
- # --runstatedir=DIR modifiable per-process data [LOCALSTATEDIR/run]
- # --includedir=DIR C header files [PREFIX/include]
- # --oldincludedir=DIR C header files for non-gcc [/usr/include]
- # --datarootdir=DIR read-only arch.-independent data root [PREFIX/share]
- # --datadir=DIR read-only architecture-independent data [DATAROOTDIR]
-
- # ac_cv_func_malloc_0_nonnull=yes \
- # ac_cv_func_realloc_0_nonnull=yes
- make -j${JOBS:-1} -l$((1+${JOBS:-1}))
- make DESTDIR="$pthbs_destdir" install
-}
-
-autotools_static() {
- export LDFLAGS="-static -L$pthbs_build_environment/library $LDFLAGS"
- autotools "$@" --enable-static --disable-shared
-}
-
-check_static() {
- local exe || true
- exe=$pthbs_destdir/'/home/ccx/versions'/$pthbs_package/$1
- if ! test -f $exe; then
- printf '%s\n' "Error: file '$1' doesn't exist!"
- exit 1
- fi
- interp_info=$(readelf --string-dump=.interp "$exe") || exit $?
- if test x '!=' "x$interp_info"; then
- printf '%s\n' "Error: '$1' is a dynamic binary!"
- exit 1
- fi
-}
-
-
-autotools gmp-6.1.2 --disable-nls --enable-static --disable-shared
-
-
-cd "$pthbs_destdir/home/ccx/versions/$pthbs_package"
-find -type d -o -print | awk -F/ '
-BEGIN {
-}
-
-function r1(s) {
- sub("^[.]/[^/]*", ".", s)
- return s
-}
-function s1(repl, s) {
- sub("^[.]/[^/]*", "./"repl, s)
- return s
-}
-function link(src) {
- x[$0]=0
- printf "%s\t%s\n", $0, src
- printf "genlinks >>%s\t%s<<\n", $0, src >>"/dev/stderr"
-}
-$1!="."{exit 1}
-
-
-$2 == "command" { link($0); next }
-$2 == "bin" { link(s1("command", $0)); next }
-
-$2 == "library.so" { link($0); next }
-$2 == "library" { link($0); next }
-$2 == "lib" && $NF ~ /\.l?a$/ { link(s1("library", $0)); next }
-$2 == "lib" && $NF ~ /\.so(|\..*)$/ { link(s1("library.so", $0)); next }
-
-$2 == "share" && $3 ~ /^(info|man|doc|icons|terminfo)$/ { link(r1($0)); next }
-
-$2 == "man" { link($0); next }
-$2 == "info" { link($0); next }
-$2 == "doc" { link($0); next }
-$2 == "icons" { link($0); next }
-$2 == "terminfo" { link($0); next }
-
-$2 == "include" { link($0); next }
-
-{ printf "genlinks ##%s## skipped\n", $0 >>"/dev/stderr" }
-
-END {
- for(fname in x) { printf "DEBUG: x[\"%s\"]=\"%s\"\n", fname, x[fname] >"/dev/stderr" }
- for(fname in x) {
- if(x[fname]) {
- printf "ERROR: missing expected file \"%s\"\n", fname >"/dev/stderr"
- exit 3
- }
- }
-}' >.install-links.new
-mv .install-links.new .install-links
diff --git a/packages/mpc b/packages/mpc
@@ -1,117 +0,0 @@
-#!/usr/bin/env pthbs-build
-#+musl-cross-make.40495e3d3831b6977c5413c4a9d8f34b3b1da25eee9d5653ab52fde6f67a7e5e
-#+gnu-make.edc93619bc2db2c6ebc87ef8f5eb36f61dfdeacd9e5d19bae023efb02ae2a224
-#+busybox.4ff3e4337fcefbc2d4d5e1ac0948a52887a0a73c50b8754e43e2ae4d6a497905
-#+busybox-diffutils.66b4019dab59ca8f0e5957d10081b2ca468ab65b7c2657698667c746a32ab865
-#+m4.f3e1eec992c34701d8bf03a5de3a55c5dc2079e80e1c12e3e54506150826f62c
-#+gmp.7c4bcef99f8079a22a2749239f52ca430de45271df071acaf659f17808753fad
-#@untar:-z:sha256:6985c538143c1208dcb1ac42cedad6ff52e267b47e5f970183a3e75125b43c2e:.
-
-autotools() {
- cd "$1"
- shift
- export LD_LIBRARY_PATH="$pthbs_build_environment/library:$pthbs_build_environment/library.so"
- export CPATH="$pthbs_build_environment/include"
- export CFLAGS="-L$pthbs_build_environment/library -D_GNU_SOURCE $CFLAGS"
- prefix=/home/ccx/versions/$pthbs_package
- ./configure -C \
- --prefix="$prefix" \
- --build="$(${CC:-gcc} -dumpmachine)" \
- --bindir="$prefix/command" \
- --sbindir="$prefix/command" \
- --infodir="$prefix/info" \
- --localedir="$prefix/locale" \
- --mandir="$prefix/man" \
- --libdir="$prefix/library" \
- --docdir="$prefix/doc/mpc" \
- --localstatedir='/home/ccx/.local/var' \
- "$@"
- # --libexecdir=DIR program executables [EPREFIX/libexec]
- # --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
- # --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
- # --runstatedir=DIR modifiable per-process data [LOCALSTATEDIR/run]
- # --includedir=DIR C header files [PREFIX/include]
- # --oldincludedir=DIR C header files for non-gcc [/usr/include]
- # --datarootdir=DIR read-only arch.-independent data root [PREFIX/share]
- # --datadir=DIR read-only architecture-independent data [DATAROOTDIR]
-
- # ac_cv_func_malloc_0_nonnull=yes \
- # ac_cv_func_realloc_0_nonnull=yes
- make -j${JOBS:-1} -l$((1+${JOBS:-1}))
- make DESTDIR="$pthbs_destdir" install
-}
-
-autotools_static() {
- export LDFLAGS="-static -L$pthbs_build_environment/library $LDFLAGS"
- autotools "$@" --enable-static --disable-shared
-}
-
-check_static() {
- local exe || true
- exe=$pthbs_destdir/'/home/ccx/versions'/$pthbs_package/$1
- if ! test -f $exe; then
- printf '%s\n' "Error: file '$1' doesn't exist!"
- exit 1
- fi
- interp_info=$(readelf --string-dump=.interp "$exe") || exit $?
- if test x '!=' "x$interp_info"; then
- printf '%s\n' "Error: '$1' is a dynamic binary!"
- exit 1
- fi
-}
-
-
-autotools mpc-1.1.0 --disable-nls --enable-static --disable-shared
-
-
-cd "$pthbs_destdir/home/ccx/versions/$pthbs_package"
-find -type d -o -print | awk -F/ '
-BEGIN {
-}
-
-function r1(s) {
- sub("^[.]/[^/]*", ".", s)
- return s
-}
-function s1(repl, s) {
- sub("^[.]/[^/]*", "./"repl, s)
- return s
-}
-function link(src) {
- x[$0]=0
- printf "%s\t%s\n", $0, src
- printf "genlinks >>%s\t%s<<\n", $0, src >>"/dev/stderr"
-}
-$1!="."{exit 1}
-
-
-$2 == "command" { link($0); next }
-$2 == "bin" { link(s1("command", $0)); next }
-
-$2 == "library.so" { link($0); next }
-$2 == "library" { link($0); next }
-$2 == "lib" && $NF ~ /\.l?a$/ { link(s1("library", $0)); next }
-$2 == "lib" && $NF ~ /\.so(|\..*)$/ { link(s1("library.so", $0)); next }
-
-$2 == "share" && $3 ~ /^(info|man|doc|icons|terminfo)$/ { link(r1($0)); next }
-
-$2 == "man" { link($0); next }
-$2 == "info" { link($0); next }
-$2 == "doc" { link($0); next }
-$2 == "icons" { link($0); next }
-$2 == "terminfo" { link($0); next }
-
-$2 == "include" { link($0); next }
-
-{ printf "genlinks ##%s## skipped\n", $0 >>"/dev/stderr" }
-
-END {
- for(fname in x) { printf "DEBUG: x[\"%s\"]=\"%s\"\n", fname, x[fname] >"/dev/stderr" }
- for(fname in x) {
- if(x[fname]) {
- printf "ERROR: missing expected file \"%s\"\n", fname >"/dev/stderr"
- exit 3
- }
- }
-}' >.install-links.new
-mv .install-links.new .install-links
diff --git a/packages/mpfr b/packages/mpfr
@@ -1,116 +0,0 @@
-#!/usr/bin/env pthbs-build
-#+musl-cross-make.40495e3d3831b6977c5413c4a9d8f34b3b1da25eee9d5653ab52fde6f67a7e5e
-#+gnu-make.edc93619bc2db2c6ebc87ef8f5eb36f61dfdeacd9e5d19bae023efb02ae2a224
-#+busybox.4ff3e4337fcefbc2d4d5e1ac0948a52887a0a73c50b8754e43e2ae4d6a497905
-#+busybox-diffutils.66b4019dab59ca8f0e5957d10081b2ca468ab65b7c2657698667c746a32ab865
-#+m4.f3e1eec992c34701d8bf03a5de3a55c5dc2079e80e1c12e3e54506150826f62c
-#@untar:-z:sha256:c05e3f02d09e0e9019384cdd58e0f19c64e6db1fd6f5ecf77b4b1c61ca253acc:.
-
-autotools() {
- cd "$1"
- shift
- export LD_LIBRARY_PATH="$pthbs_build_environment/library:$pthbs_build_environment/library.so"
- export CPATH="$pthbs_build_environment/include"
- export CFLAGS="-L$pthbs_build_environment/library -D_GNU_SOURCE $CFLAGS"
- prefix=/home/ccx/versions/$pthbs_package
- ./configure -C \
- --prefix="$prefix" \
- --build="$(${CC:-gcc} -dumpmachine)" \
- --bindir="$prefix/command" \
- --sbindir="$prefix/command" \
- --infodir="$prefix/info" \
- --localedir="$prefix/locale" \
- --mandir="$prefix/man" \
- --libdir="$prefix/library" \
- --docdir="$prefix/doc/mpfr" \
- --localstatedir='/home/ccx/.local/var' \
- "$@"
- # --libexecdir=DIR program executables [EPREFIX/libexec]
- # --sysconfdir=DIR read-only single-machine data [PREFIX/etc]
- # --sharedstatedir=DIR modifiable architecture-independent data [PREFIX/com]
- # --runstatedir=DIR modifiable per-process data [LOCALSTATEDIR/run]
- # --includedir=DIR C header files [PREFIX/include]
- # --oldincludedir=DIR C header files for non-gcc [/usr/include]
- # --datarootdir=DIR read-only arch.-independent data root [PREFIX/share]
- # --datadir=DIR read-only architecture-independent data [DATAROOTDIR]
-
- # ac_cv_func_malloc_0_nonnull=yes \
- # ac_cv_func_realloc_0_nonnull=yes
- make -j${JOBS:-1} -l$((1+${JOBS:-1}))
- make DESTDIR="$pthbs_destdir" install
-}
-
-autotools_static() {
- export LDFLAGS="-static -L$pthbs_build_environment/library $LDFLAGS"
- autotools "$@" --enable-static --disable-shared
-}
-
-check_static() {
- local exe || true
- exe=$pthbs_destdir/'/home/ccx/versions'/$pthbs_package/$1
- if ! test -f $exe; then
- printf '%s\n' "Error: file '$1' doesn't exist!"
- exit 1
- fi
- interp_info=$(readelf --string-dump=.interp "$exe") || exit $?
- if test x '!=' "x$interp_info"; then
- printf '%s\n' "Error: '$1' is a dynamic binary!"
- exit 1
- fi
-}
-
-
-autotools mpfr-4.0.2 --disable-nls --enable-static --disable-shared
-
-
-cd "$pthbs_destdir/home/ccx/versions/$pthbs_package"
-find -type d -o -print | awk -F/ '
-BEGIN {
-}
-
-function r1(s) {
- sub("^[.]/[^/]*", ".", s)
- return s
-}
-function s1(repl, s) {
- sub("^[.]/[^/]*", "./"repl, s)
- return s
-}
-function link(src) {
- x[$0]=0
- printf "%s\t%s\n", $0, src
- printf "genlinks >>%s\t%s<<\n", $0, src >>"/dev/stderr"
-}
-$1!="."{exit 1}
-
-
-$2 == "command" { link($0); next }
-$2 == "bin" { link(s1("command", $0)); next }
-
-$2 == "library.so" { link($0); next }
-$2 == "library" { link($0); next }
-$2 == "lib" && $NF ~ /\.l?a$/ { link(s1("library", $0)); next }
-$2 == "lib" && $NF ~ /\.so(|\..*)$/ { link(s1("library.so", $0)); next }
-
-$2 == "share" && $3 ~ /^(info|man|doc|icons|terminfo)$/ { link(r1($0)); next }
-
-$2 == "man" { link($0); next }
-$2 == "info" { link($0); next }
-$2 == "doc" { link($0); next }
-$2 == "icons" { link($0); next }
-$2 == "terminfo" { link($0); next }
-
-$2 == "include" { link($0); next }
-
-{ printf "genlinks ##%s## skipped\n", $0 >>"/dev/stderr" }
-
-END {
- for(fname in x) { printf "DEBUG: x[\"%s\"]=\"%s\"\n", fname, x[fname] >"/dev/stderr" }
- for(fname in x) {
- if(x[fname]) {
- printf "ERROR: missing expected file \"%s\"\n", fname >"/dev/stderr"
- exit 3
- }
- }
-}' >.install-links.new
-mv .install-links.new .install-links
diff --git a/templates/pkg/gmp b/templates/pkg/gmp
@@ -1,7 +0,0 @@
-{% extends "autotools" %}
-{%- block extra_deps %}
-#@untar:-j:sha256:5275bb04f4863a13516b2f39392ac5e272f5e1bb8057b18aec1c9b79d73d8fb2:.
-{%- endblock %}
-{% block at_script %}
-autotools gmp-6.1.2 --disable-nls --enable-static --disable-shared
-{% endblock %}
diff --git a/templates/pkg/mpc b/templates/pkg/mpc
@@ -1,9 +0,0 @@
-{% extends "autotools" %}
-{%- block extra_deps %}
-#+{{pkg_install_name("gmp")}}
-#@untar:-z:sha256:6985c538143c1208dcb1ac42cedad6ff52e267b47e5f970183a3e75125b43c2e:.
-{%- endblock %}
-{% block at_script %}
-autotools mpc-1.1.0 --disable-nls --enable-static --disable-shared
-{% endblock %}
-
diff --git a/templates/pkg/mpfr b/templates/pkg/mpfr
@@ -1,7 +0,0 @@
-{% extends "autotools" %}
-{%- block extra_deps %}
-#@untar:-z:sha256:c05e3f02d09e0e9019384cdd58e0f19c64e6db1fd6f5ecf77b4b1c61ca253acc:.
-{%- endblock %}
-{% block at_script %}
-autotools mpfr-4.0.2 --disable-nls --enable-static --disable-shared
-{% endblock %}